[小技巧]如何讓Firefox 3.0也能安裝2.0的套件

發表: 2008-04-29 05:30 分類: 小技巧, 瀏覽器外掛 | 3 則迴響 » | 瀏覽:4,548 人次

標籤 : ,

相信許多Firefox的愛好者已經投入Firefox 3.0的懷抱了吧?速度快、穩定性高是3.0版的特色,但是許多好用的擴充套件還不見得與3.0相容,這邊介紹兩個小技巧,讓你把2.0版好用的外掛程式裝在3.0上面吧!

image 

好用的Firefox 3.0,遇到了好用的擴充套件,卻沒辦法安裝(見下圖),「Add to Firefox」的按鈕就是不讓你按,心裡面是不是很想罵一聲:「X」呢?讓筆者這邊來教你消除你的「怨念」吧!成功率雖然不是100%,但是能讓你安裝常用的主流套件,3.0版用起來就不會那麼礙手礙腳了!

image

技巧一、略過版本檢查法

「略過版本檢查」這個技巧最簡單,也最多人用,但是也最不保險,筆者之前也介紹過(這篇:「網頁都是英文看不懂?讓Google來幫你翻譯網頁吧!」),方法如下:

  1. 請先在網址列輸入:  about:config ,進入設定頁面
  2. 按滑鼠右鍵新增一個「真假值」,「extensions.checkCompatibility」,並設成  false
  3. 再增加一個「真假值」,「extensions.checkUpdateSecurity」,也設為 false
  4. 重新啟動Firefox即可。

成功之後,到Firefox【工具】選單的【附加元件】,就會出現提示訊息,如下圖。

image

這個技巧的缺點是,如果你的Firefox 2.0原本有安裝一些套件,這些套件不見得與3.0相容,這時候如果沒有事先停用,你就會遇到3.0打死都進不去的「慘狀」,怎麼辦呢?只好用安全模式進去,先停用所有的擴充套件,然後再一個一個慢慢開,看看哪個能用不能用。所以有時候偷懶反而更麻煩,除非你是愛好「砍掉重練」的網路族,先把所有的套件都砍了,一個一個慢慢裝也是可以的 XD

技巧二、直接修改XPI安裝檔

第二種方法有點麻煩,但是從某些方面看來反而保險許多,就是用其他的瀏覽器下載擴充套件的安裝檔(如下圖),副檔名是.xpi。

image

使用解壓縮軟體(如Winrar、Winzip)開啟該檔案,找到裡面的install.rdf檔案,將該檔案隨便解壓縮到一個地方,用一般的文書編輯器開啟,

image

搜尋max這個字,會找到一行安裝版本的文字,將後面的2.0.0改成4.0.0,然後存檔,再把這個檔案拉回原來的壓縮檔中覆蓋即可。
minVersion及maxVersion這兩行就是該套件支援的版本範圍

image image

最後把修改好的安裝檔,直接拖曳到Firefox的「附加元件」視窗中即可。

 image

這種方法有什麼好處?如果你在多台電腦都需要安裝一些常用的Firefox套件,只要把這些套件都下載回來,修改好版本,就能快速地安裝了,不需要跳過版本的檢查,相當方便喔!

結語

以上兩種方法僅供有冒險精神的玩家們測試,許多2.0的套件因為程式本身設計的問題,仍然不能相容於3.0版,因此在3.0正式版出來的過渡期中,大家先就找自己最需要的套件來試試看吧,相信再過不久,好用的套件們就會相容囉!

至於哪些套件能用以上方法相容至3.0?大家可以多到討論區爬文吧~(筆者最常用的,如FireGesture滑鼠手勢、TabMix plus、del.icio.us、AI Roboform、Noscript…等經測試都可以相容)


相似文章




喜歡㊣軟體玩家的文章嗎?歡迎加入《軟體玩家FB粉絲團》吧!
或是按下<這邊>來訂閱RSS!


隨機文章

迴響:

歡迎留下您的意見!


※PS: 因為阿正老師時間有限,且本站所介紹的軟體種類太多(所產生的狀況也很多),可能無法回答一一回答讀者們的問題(尤其像是出現某某錯誤訊息,或者操作過程中哪邊卡住),您可以先上Google搜尋相關的關鍵字,或是到軟體的官方網站/論壇來爬文,不便之處還請見諒。
※PS:本站不提供「破解檔」、「註冊機」或「註冊碼」等資訊,請勿利用留言索取該類檔案。
※PS:本站因採用反向代理(Reverse Proxy)技術,留言後必須等到20分鐘後快取網頁過期才會顯示。